cutlass::TileTraits< Tile_, Delta_, Iterations_, ThreadOffset_ > Struct Template Reference
Tile Traits Concept

A template defining Tile Traits Concept.

`#include <tile_iterator.h>`

## Public Types

typedef Tile_ | Tile
| Shape of the tile. More...
typedef Delta_ | Delta
| Number of steps between accesses along each dimension. More...
typedef Iterations_ | Iterations
| Number of accesses performed. More...
typedef ThreadOffset_ | ThreadOffset
| Functor that returns the logical coordinate of each entity's initial offset in the tile. More...

## Member Typedef Documentation

## Delta

template<typename Tile_ , typename Delta_ , typename Iterations_ , typename ThreadOffset_ >

typedef Delta_ cutlass::TileTraits< Tile_, Delta_, Iterations_, ThreadOffset_ >::Delta

## Iterations

template<typename Tile_ , typename Delta_ , typename Iterations_ , typename ThreadOffset_ >

typedef Iterations_ cutlass::TileTraits< Tile_, Delta_, Iterations_, ThreadOffset_ >::Iterations

## ThreadOffset

template<typename Tile_ , typename Delta_ , typename Iterations_ , typename ThreadOffset_ >

typedef ThreadOffset_ cutlass::TileTraits< Tile_, Delta_, Iterations_, ThreadOffset_ >::ThreadOffset

## Tile

template<typename Tile_ , typename Delta_ , typename Iterations_ , typename ThreadOffset_ >

typedef Tile_ cutlass::TileTraits< Tile_, Delta_, Iterations_, ThreadOffset_ >::Tile

The documentation for this struct was generated from the following file:

- tile_iterator.h